From ff52ba50dd7a8ed6dffc5f300b9862e3a670134f Mon Sep 17 00:00:00 2001
From: Andreas Beckmann <anbe@debian.org>
Date: Fri, 8 May 2020 16:11:40 +0200
Subject: [PATCH] install linux-headers-* for dkms tests on Debian

---
 support/dkms/generate | 29 ++++++++++++++++++++++++++++-
 1 file changed, 28 insertions(+), 1 deletion(-)

diff --git a/support/dkms/generate b/support/dkms/generate
index 52e81bd..1bc42a9 100755
--- a/support/dkms/generate
+++ b/support/dkms/generate
@@ -3,6 +3,33 @@
 cat <<EOF
 Test-Command: /usr/lib/dkms/dkms-autopkgtest
 Restrictions: needs-root, allow-stderr, breaks-testbed, skippable, superficial
-Depends: dkms,
 Features: test-name=dkms-autopkgtest
+Depends: dkms,
+EOF
+if ! dpkg-vendor --derives-from Ubuntu ; then
+cat <<EOF
+ linux-headers-4kc-malta [mips mipsel],
+ linux-headers-5kc-malta [mips mips64el mipsel],
+ linux-headers-686 [i386],
+ linux-headers-686-pae [i386],
+ linux-headers-amd64 [amd64],
+ linux-headers-arm64 [arm64],
+ linux-headers-armmp [armhf],
+ linux-headers-armmp-lpae [armhf],
+ linux-headers-cloud-amd64 [amd64] | linux-headers-amd64 (<< 4.15) [amd64],
+ linux-headers-cloud-arm64 [arm64] | linux-headers-arm64 (<< 5.5) [arm64],
+ linux-headers-loongson-3 [mips64el mipsel],
+ linux-headers-marvell [armel],
+ linux-headers-octeon [mips mips64el mipsel],
+ linux-headers-powerpc64le [ppc64el],
+ linux-headers-rpi [armel] | linux-headers-marvell (<< 4.19) [armel],
+ linux-headers-rt-686-pae [i386],
+ linux-headers-rt-amd64 [amd64],
+ linux-headers-rt-arm64 [arm64] | linux-headers-arm64 (<< 4.18) [arm64],
+ linux-headers-rt-armmp [armhf] | linux-headers-armmp (<< 4.18) [armhf],
+ linux-headers-s390x [s390x],
 EOF
+# list of header packages generated with
+# rmadison --source linux -s sid | grep headers | grep -v common | grep 5.6.0-1 | sed -r 's/-5.6.0-1-/-/; s/\s*\|.*\|\s*/ [/; s/,//; s/^/ /; s/$/], /'
+# manually added mips and alternatives for metapackages not in (old)stable
+fi
-- 
2.20.1

